Subject: bug#23035: date: regression in timezone printing (+%Z)

From: Pádraig Brady <[email-masked]>
Date: Sat, 21 Jan 2017 15:23:05 +0000

On 21/01/17 02:31, Paul Eggert wrote:
> Thanks for the heads-up. Rather than add that tzset call, which is a bit of a 
> hack, I'd rather make parse_datetime2 more reentrant so that it's immune to this 
> problem. So I installed this:
> 
> http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=4e6e16b3f43ce96302b1e52e48730c1f15e18c14
> 
> into Gnulib to improve the parse_datetime2 API, and installed the attached 
> patches into coreutils. This uncovered a bug in one of our recently-added test 
> cases, which the attached patches also fix.

Excellent. The parse_datetime2() API is very new
and probably only used by coreutils, so there
should be no other fallout from improving the API.

I've pushed this NEWS item for the fix.

+  date again converts from a specified time zone.  Previously output was
+  not converted to the local time zone, and remained in the specified one.
+  [bug introduced in coreutils-8.26]

thanks!
Pádraig.